/**********************************************************
***********************************************************
*				European Southern Observatory
*		     VLTI MIDI Data Reduction Software
*
* Module name:	createProdFrg.h
* Description:	
*
*
* History:		
* 23-Apr-03		(csabet) Created
***********************************************************
**********************************************************/
#ifndef _CREATE_PROD_FRINGE_H
#define _CREATE_PROD_FRINGE_H

/**********************************************************
*	Include files
**********************************************************/
#include "iauExchange.h"
#include "qfits.h"

/**********************************************************
*	Constant definitions
**********************************************************/

/**********************************************************
*	Type definitions 
**********************************************************/

/**********************************************************
*	Global Variables 
**********************************************************/

/**********************************************************
*	Function Prototypes
**********************************************************/
IauExchange *  createFrgProd (
    MidiFiles		*fileNames,
    ImageFormat		*imageSizeInterf,
	float   		*waveCal,
    DispersedResult	*dispResult,
    CalibratorParam	*calibrator,
	int				*error,
	CorrectedFrames   *corrFrames);

void loadFrgOutputData (
    char			*obsCategory,
    char			*fileName,
	float   		*waveCal,
    DispersedResult	*dispResult,
    IauExchange		*iauData,
    UVW				*uvw,
    int				*error);

void createFrgPrimHead (
    MidiFiles		*fileNames,
    ImageFormat		*sizeInterf,
    DispersedResult	*dispResult,
    UVW				*uvw,
	float   		*waveCal,
    CalibratorParam	*calibrator,
    int				*error,
	CorrectedFrames   *corrFrames);

void addProdInfoToFrgQcLog (
    MidiFiles		*fileNames,
    ImageFormat		*sizeInterf,
    DispersedResult	*dispResult,
    UVW				*uvw,
	float   		*freqCal,
    CalibratorParam	*calibrator,
    int				*error,
	CorrectedFrames   *corrFrames);

void writeFrgFitsFile (
    char		*outFitsName,
    IauExchange	*iauData,
    int			*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

