/**********************************************************
***********************************************************
*				European Southern Observatory
*		     VLTI MIDI Data Reduction Software
*
* Module name:	createProdFrgUndisp.h
* Description:	
*
*
* History:		
* 23-Apr-03		(csabet) Created
***********************************************************
**********************************************************/
#ifndef _CREATE_PRODU_FRG_UNDISP_H
#define _CREATE_PRODU_FRG_UNDISP_H

/**********************************************************
*	Include files
**********************************************************/
#include "iauExchange.h"
#include "qfits.h"

/**********************************************************
*	Constant definitions
**********************************************************/

/**********************************************************
*	Type definitions 
**********************************************************/

/**********************************************************
*	Global Variables 
**********************************************************/

/**********************************************************
*	Function Prototypes
**********************************************************/
void createFrgProdUndisp (
    MidiFiles				*fileNames,
    ImageFormat				*format,
    FilterData				*filterInfo,
    RawVisibility			*rawVis,
    TransferFunction		*trfFunction,
    CalibratorParam			*calibrator,
    CalibratedVisibility	*calibVis,
    PhotometryResult		*photom,
    int						*error);

void loadFrgOutputDataUndisp (
    char			*fileName,
    FilterData		*filterInfo,
    float			*visAmp,
    float			*visSqrd,
    OiArray			*array,
    OiTarget		*targets,
    OiWavelength	*wave,
    OiVis			*vis,
    OiVis2			*vis2,
    UVW				*uvw,
    int				*error);

void createFrgPrimHeadUndisp (
    MidiFiles				*fileNames,
    ImageFormat				*format,
    RawVisibility			*rawVis,
    CalibratedVisibility	*calibVis,
    UVW						*uvw,
    PhotometryResult		*photom,
    FilterData				*filterInfo,
    TransferFunction		*trfFunction,
    CalibratorParam			*calibrator,
    int						*error);

void addProdInfoToFrgQcLogUndisp (
    ImageFormat				*format,
    MidiFiles               *fileNames,
    RawVisibility           *rawVis,
    CalibratedVisibility	*calibVis,
    UVW						*uvw,
    PhotometryResult		*photom,
    FilterData				*filterInfo,
    TransferFunction		*trfFunction,
    CalibratorParam			*calibrator,
    int						*error);

void writeFrgFitsFileUndisp (
    char			*outFitsName,
    OiArray			*array,
    OiTarget		*targets,
    OiWavelength	*wavelength,
    OiVis			*vis,
    OiVis2			*vis2,
    int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

