/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  midiControl.h
* Description:
*
*
* History:
* 21-Jul-03     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _MIDI_CONTROL_H
#define _MIDI_CONTROL_H

/**********************************************************
*   Include files
**********************************************************/
#include "midiLib.h"
#include <cpl.h>
/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void executeDataReduction (
   const char *calibTempDir,
   const char *maskFileDir,
   const char *productDir,
   int        givenDispDur,
   const char *inFitsList,
   int	      *error,
   cpl_parameterlist *parlist,
   cpl_frameset      *frameset);

void midiCloseBatch (void);

void midiRejectBatch (void);

void getParameters (
	const char		*calibTempDir,
	const char		*maskFileDir,
	const char		*inFitsList,
	FILE		*filePtr,
	UserOptions	*options,
	MidiFiles	*fileNames,	
	int			*error);

void createOutputFileNames (
    MidiFiles   *fileNames,
    FILE        *filePtr,
    int			*error);

void displayBanner (
    FILE    *filePtr);

void handoverReport (
    char        *fileName,
    FILE        **filePtr);

void getMaskFileFromSof(MidiFiles * fileNames, 
                        cpl_frameset  * frameset);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

