/* $Id: midi_dfs.h,v 1.12 2010-09-15 09:42:09 agabasch Exp $
 *
 * This file is part of the MIDI Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: agabasch $
 * $Date: 2010-09-15 09:42:09 $
 * $Revision: 1.12 $
 * $Name: not supported by cvs2svn $
 */

#ifndef MIDI_DFS_H
#define MIDI_DFS_H

/*-----------------------------------------------------------------------------
                                   Define
 -----------------------------------------------------------------------------*/

/* Define here the PRO.CATG keywords */

#define MIDI_IMAGE_QUALITY                "IMAGE_QUALITY"                 
#define MIDI_KAPPA_MATRIX                 "KAPPA_MATRIX"                  
#define MIDI_REDUCED_DETLIN               "REDUCED_DETLIN"                
#define MIDI_REDUCED_DETRON               "REDUCED_DETRON"                
#define MIDI_REDUCED_DISPERSED            "REDUCED_DISPERSED"             
#define MIDI_REDUCED_DISPERSED_SCIPHOT    "REDUCED_DISPERSED_SCIPHOT"     
#define MIDI_REDUCED_DSPTRN               "REDUCED_DSPTRN"                
#define MIDI_REDUCED_REFPIX               "REDUCED_REFPIX"                
#define MIDI_REDUCED_WAVECAL              "REDUCED_WAVECAL"               
#define MIDI_WATERFALL                    "WATERFALL"                     
#define MIDI_KAPPA_SP_MASK_PRISM          "KAPPA_SP_MASK_PRISM"                     
#define MIDI_KAPPA_SP_MASK_GRISM          "KAPPA_SP_MASK_GRISM"                     
#define MIDI_KAPPA_HS_MASK_PRISM          "KAPPA_HS_MASK_PRISM"                     
#define MIDI_KAPPA_HS_MASK_GRISM          "KAPPA_HS_MASK_GRISM"                     
#define MIDI_TRF_GRISM                    "TRF_GRISM"                     
#define MIDI_TRF_PRISM                    "TRF_PRISM"                     

/* Define here the DO.CATG keywords */
#define  MIDI_HIGH_SENS_CALIB           "HIGH_SENS_CALIB"       
#define  MIDI_HIGH_SENS_SCIENCE         "HIGH_SENS_SCIENCE"     
#define  MIDI_SCI_PHOT_CALIB            "SCI_PHOT_CALIB"        
#define  MIDI_SCI_PHOT_SCIENCE          "SCI_PHOT_SCIENCE"      
#define  MIDI_ACQ                       "ACQ"                   
#define  MIDI_DETLIN                    "DETLIN"                
#define  MIDI_DETRON                    "DETRON"                
#define  MIDI_DSPTRN                    "DSPTRN"                
#define  MIDI_REFPIX                    "REFPIX"                
#define  MIDI_WAVECAL                   "WAVECAL"               
#define  MIDI_OTHER_DETLIN              "OTHER_DETLIN"          
#define  MIDI_OTHER_DETRON              "OTHER_DETRON"          
#define  MIDI_OTHER_DSPTRN              "OTHER_DSPTRN"          
#define  MIDI_OTHER_GENERIC             "OTHER_GENERIC"         
#define  MIDI_OTHER_REFPIX              "OTHER_REFPIX"          
#define  MIDI_OTHER_WAVECAL             "OTHER_WAVECAL"         
#define  MIDI_OTHER_ACQ                 "OTHER_ACQ"             
#define  MIDI_OTHER_FRINGE              "OTHER_FRINGE"          
#define  MIDI_KAPPA_SP_CALIB            "KAPPA_SP_CALIB"        
#define  MIDI_KAPPA_SP_SCIENCE          "KAPPA_SP_SCIENCE"      
#define  MIDI_KAPPA_SP_CALIB            "KAPPA_SP_CALIB"        
#define  MIDI_KAPPAMATRIX_PRISM         "MIDI_KAPPAMATRIX_PRISM"      
#define  MIDI_KAPPAMATRIX_GRISM         "MIDI_KAPPAMATRIX_GRISM"      
#define  MIDI_PHOTOM_SP_CALIB           "PHOTOM_SP_CALIB"        
#define  MIDI_PHOTOM_SP_SCIENCE         "PHOTOM_SP_SCIENCE"      
#define  MIDI_PHOTOM_HS_CALIB           "PHOTOM_HS_CALIB"        
#define  MIDI_PHOTOM_HS_SCIENCE         "PHOTOM_HS_SCIENCE"      
#define  MIDI_CALIB_DATABASE            "CALIB_DATABASE_N"
#define  MIDI_DOME_AOPEN                "DOME_AOPEN"      
#define  MIDI_DOME_BOPEN                "DOME_BOPEN"      
#define  MIDI_INTERNAL_OPD              "INTERNAL_OPD"      
#define  MIDI_CAL_SEARCH                "CAL_SEARCH"


#define  MIDI_CALIB_FLAT                 "CALIB_FLAT"   /* Dummy for now */        


/*-----------------------------------------------------------------------------
                                Functions prototypes
 -----------------------------------------------------------------------------*/

cpl_error_code midi_dfs_set_groups(cpl_frameset *);

#endif
