/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  photometry.h
* Description:
*
*
* History:
* 20-Jul-04     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _PHOTOMETRY_H
#define _PHOTOMETRY_H

/**********************************************************
*   Include files
**********************************************************/
#include "midiLib.h"

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void estimatePhotom(
	char			key,
    CompressedData	*compressed,
    ImageFormat		*format,
    float			**photom,
    float			**photomErr,
    int				*error);

void computeBinnedPhotom (
    CompressedData	*photomA,
    CompressedData	*photomB,
    ImageFormat		*format,
    float			*photomA1,
    float			*photomA2,
    float			*photomA3,
    float			*photomB1,
    float			*photomB2,
    float			*photomB3,
    int				*error);

float getChopPhotomSP (
	int		X,
	float	*compressed,
	int     numOfFrames,
	int     framesPerScan,
	int		*badFrameList,
	float	*errRMS,
	float	*choppingRMS);

float getChopPhotom (
	int		X,
	float	*collapsedData,
	char	*targetType,
	float	*err,
	float	*choppingRMS,
	int     numData);

void estimatePhotomUndisp (
    ImageFormat		*format,
    CompressedData	*inData,
	float			*errs,
    float			*choppingRMS,
	float			*results);

float getChopPhotomUndisp (
    double  *collapsedData,
    char    *targetType,
    float   *err,
    float   *choppingrms,
    int     numData);

/*********************************************************/
#endif
/*********************************************************/

