/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  procDetRon.h
* Description:  
*
*
* History:      
* 16-Jun-04     (csabet) created
***********************************************************
**********************************************************/
#ifndef _PROC_DET_RON_H
#define _PROC_DET_RON_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Global Variables 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void procDetRon (
    MidiFiles	*fileNames,
    int			*error);

void computeDetRon (
	int			numOfFiles,
    ImageFormat	*maxFormat,
    MidiFiles	*fileNames,
    DetRonNoise *noiseProfile,
    int			*error);

void compressDetRon (
	int			fileNumber,
	int			numOfFiles,
	int			maxNumOfFrames,
    char		*fileName,
    int			extensionNumber,
    ImageFormat	*format,
    float		*arrayPixel,
    DetRonNoise	*noiseProfile,
    int			*error);

void createNoisePattern (
	int			fileNumber,
	char		*inFile,
    ImageFormat *format,
    DetRonNoise *noise,
    int			*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

