/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  procDspTrn.h
* Description:  
*
*
* History:      
* 16-Jun-04     (csabet) created
***********************************************************
**********************************************************/
#ifndef _PROC_DSP_TRN_H
#define _PROC_DSP_TRN_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Global Variables 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void procDspTrn (
    MidiFiles	*fileNames,
    int			*error);

void computeDspTrn (
	int				numOfFiles,
	MidiFiles		*fileNames,
    DispersiveTrans	*dspTrn,
    int				*error);
    
void getDspTrnTargetCoords (
	int			counter,
	char		*grismId,
    float	   	*image,
    ImageFormat *format,
    MidiCoords	*target,
    int			*error);

void computeIntegralFlux ( 
	int				fileNumber,
	char			*fileName,
    int             extensionNumber,
    ImageFormat     *format,
    DispersiveTrans	*dspTrn,
    int				*error);

void computeDispersivity (
    DispersiveTrans	*dspTrn,
    int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

