/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  procKappa.h
* Description:
*
*
* History:
* 05-Dec-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _PROC_KAPPA_H
#define _PROC_KAPPA_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void procKappa (
    MidiFiles	*fileNames,
    UserOptions	*options,
    int			*error);

void cleanupKappa (
    enum ProcessingMode	processing,
    ImageFormat			*formatInterfA,
    ImageFormat			*formatInterfB,
    ImageFormat			*formatPhotomA,
    ImageFormat			*formatPhotomB,
    CompressedData		*compressedInterfA,
    CompressedData		*compressedInterfB,
    CompressedData		*compressedPhotomA,
    CompressedData		*compressedPhotomB,
    int					*error);

void midiComputeKappaCoeff (
    CompressedData	*compressedIA,
    CompressedData	*compressedIB,
    CompressedData	*compressedPA,
	CompressedData	*compressedPB,
    ImageFormat		*formatIA,
    ImageFormat		*formatIB,
    ImageFormat		*formatPA,
    ImageFormat		*formatPB,
    TransferRatios	*trRatios,
    int				*error);

void computeTransferRatios (
    ImageFormat			*format,
    KappaCoefficients	*kc,
    TransferRatios		*tr,
    int					*error);

void smoothKappaCoefficiets (
    ImageFormat			*format,
    KappaCoefficients	*kc,
    int					*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

