/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  procWavCal.h
* Description:  
*
*
* History:      
* 02-Jun-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _PROC_WAV_CAL_H
#define _PROC_WAV_CAL_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void midiPolyFit (
	int		order,
	int		*xCoord,
	float	*yCoord,
	int		numOfIn,
    int		numOfOut,
    float	*yOut,
    int		*error);

void removeDark (
    ImageFormat		*format,
    WaveCalibration	*waveCal,
    int				*error);

int getWlCalib2Spectra (
    MidiFiles	*fileNames,
    int			*error);

void procWaveCal (
	int			processing,
    MidiFiles	*fileNames,
    int			*error);

void correlateWaveCalibDB (
    MidiFiles		*fileNames,
    WaveCalibration *waveCal,
    ImageFormat		*format,
    int				*error);

void computeWaveCal (
	int				processing,
	int				numOfFiles,
	MidiFiles		*fileNames,
    WaveCalibration *waveCal,
    int				*error);

void compressWaveCal ( 
	int				fileNumber,
	char			*fileName,
    int				extensionNumber,
    ImageFormat		*format,
    WaveCalibration	*waveCal,
    int				*error);

void validateWaveCalData (
	int				fileNumber,
	char			*fileName,
    WaveCalibration	*compressed,
    ImageFormat		*format,
    int				*error);

void calibrateWaveChannels (
	int				processing,
    MidiFiles		*fileNames,
    WaveCalibration *waveCal,
    ImageFormat		*format,
    int				*error);

void fitFilterSpectra (
    WaveCalibration *waveCal,
    ImageFormat		*format,
    int				*error);

void fitFoilSpectra (
    MidiFiles		*fileNames,
    WaveCalibration *waveCal,
    ImageFormat		*format,
    int				*error);
	
void fitOpenSpectra (
    int	*error);

void getFilterSpectra (
	int			region,
    const char		*filter,
    float		*image,
    ImageFormat	*format,
    float		*xCPH,
    float		*yCPH,
    int			*error);

void getFoilSpectra (
	int			region,
    const char		*filter,
	float		*image,
    ImageFormat	*format,
	float		*spectra,
    int			*error);

void calibrateWaveFromNBF (
    WaveCalibration *waveCal,
    ImageFormat		*format,
    int				*error);

void createWaveCalibDB (
    MidiFiles		*fileNames,
    WaveCalibration *waveCal,
    ImageFormat		*format,
    int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

